---
# docker-compose for pihole
version: "3.8"
services:
  pihole:
    container_name: {{ pihole_name }}
    image: {{ pihole_image }}
    restart: unless-stopped
    environment:
      TZ: '{{ timezone }}'
      WEBPASSWORD: '{{ pihole_webpassword }}'
      DNS1: '{{ pihole_dns1 }}'
      DNS2: '{{ pihole_dns2 }}'
      DNSMASQ_LISTENING: 'local'
    network_mode: {{ pihole_network_mode }}
    volumes:
      - './etc-pihole/:/etc/pihole/'
      - './etc-dnsmasq.d/:/etc/dnsmasq.d/'
    dns:
      - 127.0.0.1
      - {{ pihole_dns1 }}
    cap_add:
      - NET_ADMIN

